Subject: Re: bug#11211: 23.3; Gnus - eudc/ldap - inline expansion does not work

From: [email-masked] (Kamil Jońca)
Date: Thu, 08 Nov 2012 10:54:41 +0100

I noticed by accident that it related to 
(eudc-inline-expansion-format)

with its default setting 
--8<---------------cut here---------------start------------->8---
("%s" email)
--8<---------------cut here---------------end--------------->8---
inline expansion seems to work 
But i prefer to expand entries to something like  

--8<---------------cut here---------------start------------->8---
Kamil Jońca <[email-masked]> 
--8<---------------cut here---------------end--------------->8---
and with setting ("%s %s <%s>" firstname name email) 
this does not work.
Am I missing something with setting this variable?
KJ

Glenn Morris <[email-masked]> writes:

> Kamil Jońca wrote:
>
>> Debugger entered--Lisp error: (error "No match")
>>   signal(error ("No match"))
>>   (condition-case signal (progn (setq response ...) (if ... ... ... ... ...) (or ... ...)) (error (or ... ...) (signal ... ...)))
>>   (let* ((end ...) (beg ...) (query-words ...) query-formats
>> response response-string response-strings (eudc-former-server
>> eudc-server) (eudc-former-protocol eudc-protocol) servers) (setq
>> servers (copy-sequence eudc-server-hotlist)) (setq servers (cond
>> ... ... ... ...)) (if (and eudc-max-servers-to-query ...) (setcdr
>> ... nil)) (condition-case signal (progn ... ... ...) (error
>> ... ...)))
>>   eudc-expand-inline()
>
> I'm afraid that's not much more informative. There are some variables
> you can set so that the lists don't get abbreviated, but I forget
> precisely which ones they are. Anyway, a full backtrace probably isn't
> going to help too much. All that happens is that it fails to find a
> match for some reason.
>
> I'm afraid I have no idea how to configure eudc so that I can test this
> myself, and I don't have any ldap servers to test it with anyway.
>
> If you can use edebug, you might try looking into this more yourself.
> If as you say it works in other contexts, then the problem may be
> something simple like it not extracting the correct string from the
> buffer in the first place.
>

-- 
http://blogdebart.pl/2012/06/24/hiena/
<Knghtbrd> joeyh now has a terminal at the couch?
<Knghtbrd> That guy is wired, I swear  =>
<doogie> Knghtbrd: laptop
<doogie> and I don't mean the cats.